twitter4j

## Class UserStreamAdapter

- java.lang.Object
- - twitter4j.StatusAdapter
  - - twitter4j.UserStreamAdapter

All Implemented Interfaces:
  StatusListener, StreamListener, UserStreamListener

    public class UserStreamAdapter
    extends StatusAdapter
    implements UserStreamListener

Since:
  Twitter4J 2.1.3
Author:
  yusuke at mac.com

### Constructor Summary

Constructors
Constructor and Description
`UserStreamAdapter()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `onBlock(User source, User blockedUser)`
`void` `onDeletionNotice(long directMessageId, long userId)`
`void` `onDirectMessage(DirectMessage directMessage)`
`void` `onException(java.lang.Exception ex)`
`void` `onFavorite(User source, User target, Status favoritedStatus)`
`void` `onFavoritedRetweet(User source, User target, Status favoritedStatus)`
`void` `onFollow(User source, User followedUser)`
`void` `onFriendList(long[] friendIds)`
`void` `onQuotedTweet(User source, User target, Status quotingTweet)`
`void` `onRetweetedRetweet(User source, User target, Status retweetedStatus)`
`void` `onUnblock(User source, User unblockedUser)`
`void` `onUnfavorite(User source, User target, Status unfavoritedStatus)`
`void` `onUnfollow(User source, User unfollowedUser)`
`void` `onUserDeletion(long deletedUser)`
`void` `onUserListCreation(User listOwner, UserList list)`
`void` `onUserListDeletion(User listOwner, UserList list)`
`void` `onUserListMemberAddition(User addedMember, User listOwner, UserList list)`
`void` `onUserListMemberDeletion(User deletedMember, User listOwner, UserList list)`
`void` `onUserListSubscription(User subscriber, User listOwner, UserList list)`
`void` `onUserListUnsubscription(User subscriber, User listOwner, UserList list)`
`void` `onUserListUpdate(User listOwner, UserList list)`
`void` `onUserProfileUpdate(User updatedUser)`
`void` `onUserSuspension(long suspendedUser)`

### Methods inherited from class twitter4j.StatusAdapter

`onDeletionNotice, onScrubGeo, onStallWarning, onStatus, onTrackLimitationNotice`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface twitter4j.StatusListener

`onDeletionNotice, onScrubGeo, onStallWarning, onStatus, onTrackLimitationNotice`

### Constructor Detail

#### UserStreamAdapter

    public UserStreamAdapter()

### Method Detail

#### onDeletionNotice

    public void onDeletionNotice(long directMessageId,
                                 long userId)

Specified by:
  `onDeletionNotice` in interface `UserStreamListener`

#### onFriendList

    public void onFriendList(long[] friendIds)

Specified by:
  `onFriendList` in interface `UserStreamListener`
Parameters:
  `friendIds` - friend ids

#### onFavorite

    public void onFavorite(User source,
                           User target,
                           Status favoritedStatus)

Specified by:
  `onFavorite` in interface `UserStreamListener`
Parameters:
  `source` - source user of the event
  `target` - target user of the event
  `favoritedStatus` - status favorited

#### onFollow

    public void onFollow(User source,
                         User followedUser)

Specified by:
  `onFollow` in interface `UserStreamListener`
Parameters:
  `source` - source user of the event
  `followedUser` - user followed

#### onUnfollow

    public void onUnfollow(User source,
                           User unfollowedUser)

Specified by:
  `onUnfollow` in interface `UserStreamListener`
Parameters:
  `source` - source user of the event
  `unfollowedUser` - user unfollowed

#### onUnfavorite

    public void onUnfavorite(User source,
                             User target,
                             Status unfavoritedStatus)

Specified by:
  `onUnfavorite` in interface `UserStreamListener`
Parameters:
  `source` - source user of the event
  `target` - target user of the event
  `unfavoritedStatus` - status unfavorited

#### onDirectMessage

    public void onDirectMessage(DirectMessage directMessage)

Specified by:
  `onDirectMessage` in interface `UserStreamListener`
Parameters:
  `directMessage` - direct message

#### onUserListMemberAddition

    public void onUserListMemberAddition(User addedMember,
                                         User listOwner,
                                         UserList list)

Specified by:
  `onUserListMemberAddition` in interface `UserStreamListener`
Parameters:
  `addedMember` - member added
  `listOwner` - owner of the list
  `list` - the list

#### onUserListMemberDeletion

    public void onUserListMemberDeletion(User deletedMember,
                                         User listOwner,
                                         UserList list)

Specified by:
  `onUserListMemberDeletion` in interface `UserStreamListener`
Parameters:
  `deletedMember` - user deleted
  `listOwner` - owner of the list
  `list` - the list

#### onUserListSubscription

    public void onUserListSubscription(User subscriber,
                                       User listOwner,
                                       UserList list)

Specified by:
  `onUserListSubscription` in interface `UserStreamListener`
Parameters:
  `subscriber` - the user subscribed
  `listOwner` - owner of the list
  `list` - the list

#### onUserListUnsubscription

    public void onUserListUnsubscription(User subscriber,
                                         User listOwner,
                                         UserList list)

Specified by:
  `onUserListUnsubscription` in interface `UserStreamListener`
Parameters:
  `subscriber` - the user subscribed
  `listOwner` - owner of the list
  `list` - the list

#### onUserListCreation

    public void onUserListCreation(User listOwner,
                                   UserList list)

Specified by:
  `onUserListCreation` in interface `UserStreamListener`
Parameters:
  `listOwner` - owner of the list
  `list` - the list

#### onUserListUpdate

    public void onUserListUpdate(User listOwner,
                                 UserList list)

Specified by:
  `onUserListUpdate` in interface `UserStreamListener`
Parameters:
  `listOwner` - owner of the list
  `list` - the list

#### onUserListDeletion

    public void onUserListDeletion(User listOwner,
                                   UserList list)

Specified by:
  `onUserListDeletion` in interface `UserStreamListener`
Parameters:
  `listOwner` - owner of the list
  `list` - the list

#### onUserProfileUpdate

    public void onUserProfileUpdate(User updatedUser)

Specified by:
  `onUserProfileUpdate` in interface `UserStreamListener`
Parameters:
  `updatedUser` - updated user

#### onUserSuspension

    public void onUserSuspension(long suspendedUser)

Specified by:
  `onUserSuspension` in interface `UserStreamListener`
Parameters:
  `suspendedUser` - suspended user id

#### onUserDeletion

    public void onUserDeletion(long deletedUser)

Specified by:
  `onUserDeletion` in interface `UserStreamListener`
Parameters:
  `deletedUser` - deleted user id

#### onBlock

    public void onBlock(User source,
                        User blockedUser)

Specified by:
  `onBlock` in interface `UserStreamListener`
Parameters:
  `source` - source user of the event
  `blockedUser` - the user blocked

#### onUnblock

    public void onUnblock(User source,
                          User unblockedUser)

Specified by:
  `onUnblock` in interface `UserStreamListener`
Parameters:
  `source` - source user of the event
  `unblockedUser` - the user unblocked

#### onRetweetedRetweet

    public void onRetweetedRetweet(User source,
                                   User target,
                                   Status retweetedStatus)

Specified by:
  `onRetweetedRetweet` in interface `UserStreamListener`
Parameters:
  `source` - source user of the event
  `target` - target user of the event
  `retweetedStatus` - status retweeted retweet

#### onFavoritedRetweet

    public void onFavoritedRetweet(User source,
                                   User target,
                                   Status favoritedStatus)

Specified by:
  `onFavoritedRetweet` in interface `UserStreamListener`
Parameters:
  `source` - source user of the event
  `target` - target user of the event
  `favoritedStatus` - status favorited retweet

#### onQuotedTweet

    public void onQuotedTweet(User source,
                              User target,
                              Status quotingTweet)

Specified by:
  `onQuotedTweet` in interface `UserStreamListener`
Parameters:
  `source` - source user of the event
  `target` - target user of the event
  `quotingTweet` - status quoting the tweet

#### onException

    public void onException(java.lang.Exception ex)

Specified by:
  `onException` in interface `StreamListener`
Overrides:
  `onException` in class `StatusAdapter`